---
title: Single Booking Retrieval
slug: single-booking-retrieval
docTags: 
createdAt: 2025-10-14T05:44:04.972Z
---

:::ApiMethodV2
```json
{
  "name": "Single Booking Retrieval",
  "method": "POST",
  "url": "https://wsb.bakuun.com/v1/read-booking/MPBXXX/XXXX",
  "description": "Returns a single booking acknowledgment confirming successful processing by Bakuun, including the partner’s original reservation ID, Bakuun’s internal booking ID, and the resulting booking status.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "POLHsw0FAL_4GozDFSkjr",
        "language": "json",
        "code": "{\n  \"username\": \"XXXXX\",\n  \"password\": \"XXXXX\",\n  \"partnerId\": \"MPBXX\",\n  \"action\": \"readSingleBookingRQ\",\n  \"ResID\":\"XXXXX\"\n}",
        "customLabel": ""
      },
      {
        "id": "fanH5da9OhuqBT7AqsDOJ",
        "language": "curl",
        "code": "curl --location 'https://wsb.bakuun.com/v1/read-booking/RDKXX/834809' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\n  \"username\": \"String\",\n  \"password\": \"String\",\n  \"partnerId\": \"String\",\n  \"action\": \"String\",\n  \"bookingDateFrom\": \"String\",\n  \"bookingDateTo\": \"String\"\n}'",
        "customLabel": ""
      },
      {
        "id": "g5eWEei1X_tEnbsfG9O6C",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://wsb.bakuun.com/v1/read-booking/RDKXX/834809',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"username\": \"String\",\n      \"password\": \"String\",\n      \"partnerId\": \"String\",\n      \"action\": \"String\",\n      \"bookingDateFrom\": \"String\",\n      \"bookingDateTo\": \"String\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "jOyLXtmTXpg0FVALnSNOK",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"username\": \"String\",\n   \"password\": \"String\",\n   \"partnerId\": \"String\",\n   \"action\": \"String\",\n   \"bookingDateFrom\": \"String\",\n   \"bookingDateTo\": \"String\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://wsb.bakuun.com/v1/read-booking/RDKXX/834809\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "0FVd2RqhWOzDwZyO15dvF",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://wsb.bakuun.com/v1/read-booking/RDKXX/834809\"\n\npayload = json.dumps({\n   \"username\": \"String\",\n   \"password\": \"String\",\n   \"partnerId\": \"String\",\n   \"action\": \"String\",\n   \"bookingDateFrom\": \"String\",\n   \"bookingDateTo\": \"String\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "RLlwNBArBMzjP061h-bNS",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://wsb.bakuun.com/v1/read-booking/RDKXX/834809\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"username\": \"String\",\n   \"password\": \"String\",\n   \"partnerId\": \"String\",\n   \"action\": \"String\",\n   \"bookingDateFrom\": \"String\",\n   \"bookingDateTo\": \"String\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "POLHsw0FAL_4GozDFSkjr"
  },
  "results": {
    "languages": [
      {
        "id": "InX-ac2uWXrDuWmPlwZUu",
        "language": "200",
        "code": "{\n    \"success\": true,\n    \"reservation\": [\n        {\n            \"yourBookingId\": \"XXXXX\",\n            \"ourBookingId\": \"RDK11-testbook111-Bakuun Channel\",\n            \"statusBooking\": \"confirmed\"\n        }\n    ]\n}",
        "customLabel": ""
      },
      {
        "id": "mv5gHSMvy7VTyS8mBGiNt",
        "language": "451",
        "code": "{\n    \"success\": false,\n    \"errors\": [\n        {\n            \"code\": 477,\n            \"message\": \"No Booking to retrieve\"\n        }\n    ]\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "InX-ac2uWXrDuWmPlwZUu"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "username",
        "kind": "required",
        "type": "string",
        "description": "System-generated,  API access secret key (unique per account).",
        "": "System-generated,  API access secret key (unique per account)."
      },
      {
        "name": "password",
        "kind": "required",
        "type": "string",
        "description": "System-generated,  API access secret key (unique per account).",
        "": "System-generated,  API access secret key (unique per account)."
      },
      {
        "name": "partnerId",
        "kind": "required",
        "type": "string",
        "description": "Partner (buyer) identifier (e.g. RDKXX - MPBXXX).",
        "": "Partner (buyer) identifier (e.g. RDKXX - MPBXXX)."
      },
      {
        "name": "action",
        "kind": "required",
        "type": "string",
        "description": "Always set as readSingleBookingRQ",
        "": "Always set as readSingleBookingRQ"
      },
      {
        "name": "ResID",
        "kind": "required",
        "type": "string",
        "description": "Partner Reservation ID",
        "": "required"
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "success",
      "kind": "optional",
      "type": "boolean",
      "description": "List of booking acknowledgements returned for the request."
    },
    {
      "name": "reservation",
      "kind": "optional",
      "type": "object",
      "description": "",
      "children": [
        {
          "name": "yourBookingId",
          "kind": "optional",
          "type": "string",
          "description": "The reservation identifier sent by the Partner in the original request."
        },
        {
          "name": "ourBookingId",
          "kind": "optional",
          "type": "string",
          "description": "The booking ID generated by Bakuun."
        },
        {
          "name": "statusBooking",
          "kind": "optional",
          "type": "string",
          "description": "The status of the booking as processed by Bakuun (e.g., confirmed, cancelled)."
        }
      ]
    }
  ],
  "autoGeneratedAnchorSlug": "single-booking-retrieval",
  "legacyHash": "0MwBU-SsERMufqZEvOiMI"
}
```
:::

